# class CallInfo | Hold extra informations about an active CallEndpoint More...
Full name | `TelEngine::CallInfo`
Definition | `#include <libs/ypbx/yatepbx.h>`
Inherits | TelEngine::NamedList [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline CallInfo (const char* name, CallEndpoint* call = 0)
- virtual ~CallInfo ()
- inline CallEndpoint* call () const
- inline void setCall (CallEndpoint* call)
- inline void clearCall ()
- bool copyParam (const NamedList& original, const String& name, bool clear = false)
- void copyParams (const NamedList& original, bool clear, ...)
- void fillParam (NamedList& target, const String& name, bool clear = false)
- void fillParams (NamedList& target)

#### Protected Members

- CallEndpoint* m_call
- int m_route

## Detailed Description

Hold extra informations about an active CallEndpoint

inline CallInfo (const char* name, CallEndpoint* call = 0) | ### CallInfo

~CallInfo () | ### ~CallInfo

[virtual]

inline CallEndpoint* call () | ### call

[const]

inline void setCall (CallEndpoint* call) | ### setCall

inline void clearCall () | ### clearCall

bool copyParam (const NamedList& original, const String& name, bool clear = false) | ### copyParam

Copy one parameter from a NamedList - typically a Message

Reimplemented from NamedList.

void copyParams (const NamedList& original, bool clear, ...) | ### copyParams

Copy many parameters from a NamedList, end the list with a NULL or 0

Reimplemented from NamedList.

void fillParam (NamedList& target, const String& name, bool clear = false) | ### fillParam

void fillParams (NamedList& target) | ### fillParams

CallEndpoint* m_call | ### m_call

[protected]

int m_route | ### m_route

[protected]

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.